<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

if($activo==0): //Si está inactiva
    $indicador=1; //lo pasa a activa
    $fecha_activar=$sis_ano."-".$sis_mes."-".$sis_dia;
    $fecha_inactivar="0000-00-00";
    $permanente=0;
    $sqlTem = "UPDATE cta set permanente=$permanente, fecha_permanente='$fecha_inactivar' where id_cta=$id_cta";
    $ActTem = $bdDepen -> consulta($sqlTem);	
else: //Si está activa
    $indicador=0; //lo pasa a inactiva
    $fecha_inactivar=$sis_ano."-".$sis_mes."-".$sis_dia;
    $fecha_activar="0000-00-00";
    $sqlTem = "UPDATE cta set fecha_permanente='1' where id_cta=$id_cta";
    $ActTem = $bdDepen -> consulta($sqlTem);
endif;

//echo "<br>fecha_activar:".$fecha_activar;
//echo "<br>fecha_inactivar:".$fecha_inactivar;

//Actualzar CTA
$sqlActCta = "UPDATE cta set activo=$indicador, fecha_activar='$fecha_activar', fecha_inactivar='$fecha_inactivar' where id_cta=$id_cta";
$ActCta = $bdDepen -> consulta($sqlActCta);	

?>
<form name="resCtaPin" id="resCtaPin">
    <input type="hidden" id="id_cta" name="id_cta" value="<?=$id_cta?>"> 
    <input type="hidden" id="estado_empresa" name="estado_empresa" value="<?=$estado_empresa?>">
    <input type="hidden" id="parametro_empresa" name="parametro_empresa" value="<?=$parametro_empresa?>">
    <input type="hidden" id="planilla" name="planilla" value="<?=$planilla?>">
    <input type="hidden" id="id_cli" name="id_cli" value="<?=$id_cli?>">
    <input type="hidden" id="mes_planilla" name="mes_planilla" value="<?=$mes_planilla?>">
    <input type="hidden" id="ano_planilla" name="ano_planilla" value="<?=$ano_planilla?>">
    <input type="hidden" id="estadoUs" name="estadoUs" value="<?=$estadoUs?>">
    <input type="hidden" id="usuario_con" name="usuario_con" value="<?=$usuario_con?>">
    <input type="hidden" id="id_fk_cliente_fact" name="id_fk_cliente_fact" value="<?=$id_fk_cliente_fact?>">
    <input type="hidden" id="estado_empresa" name="estado_empresa" value="<?=$estado_empresa?>">
    <input type="hidden" id="id_cli_grupos" name="id_cli_grupos" value="<?=$id_cli_grupos?>">
    <input type="hidden" id="enlace" name="enlace" value="<?=$enlace?>">
</form>
<script type="text/javascript">
    guardar('<?=$enlace?>','resCtaPin','divDer2','cargando')
</script>

